classification
Title: pulldom has low code coverage
Type: enhancement Stage: patch review
Components: XML Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, flox, loewis, mark.smith
Priority: normal Keywords: patch

Created on 2010-07-24 13:06 by mark.smith, last changed 2011-03-02 23:41 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
pulldom_tests.patch mark.smith, 2010-08-02 14:50 New unittests for pulldom
Messages (3)
msg111476 - (view) Author: Mark Smith (mark.smith) * Date: 2010-07-24 13:06
pulldom has poor code coverage, so I am currently implementing thorough unit tests for it.
msg112481 - (view) Author: Mark Smith (mark.smith) * Date: 2010-08-02 14:50
Added a patch to increase code coverage for the pulldom module to 90%.

This patch also includes 3 'expectedFailure' tests that I believe indicate erroneous behaviour, associated with issues #9453 (SAX2DOM doesn't like processing instructions before the root element), and #9371 (pulldom doesn't provide END_DOCUMENT or COMMENT nodes)
msg129924 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2011-03-02 23:41
r88712 Thanks
History
Date User Action Args
2011-03-02 23:41:17benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg129924

resolution: accepted
2011-01-06 17:48:41pitrousetnosy: + loewis, flox
2010-08-06 18:46:14terry.reedysettype: enhancement
stage: patch review
2010-08-02 14:50:09mark.smithsetfiles: + pulldom_tests.patch
keywords: + patch
messages: + msg112481
2010-07-24 13:06:42mark.smithcreate